local mod_start_time = core.get_us_time()
core.log("action", "[MOD] watchtower loading")

watchtower = {}
watchtower.error = {}
watchtower.modstorage = core.get_mod_storage()
watchtower.modpath = core.get_modpath("watchtower") .. DIR_DELIM
watchtower.worldpath = core.get_worldpath() .. DIR_DELIM

watchtower.information = {}
watchtower.information.version = "0.1.0"
watchtower.information.author = "Ravise"
watchtower.information.license = "BSD-3"
watchtower.information.name = "watchtower"
-- this line should be changed, if you introduce changes into the mod
watchtower.information.source = "https://gitea.your-land.de/Ravise/watchtower"
-- this line should remain unchanged, however
watchtower.information.upstream_source = "https://gitea.your-land.de/Ravise/watchtower"

dofile(watchtower.modpath .. "00-tooling.lua")
dofile(watchtower.modpath .. "01-config.lua")
dofile(watchtower.modpath .. "02-internal.lua")
dofile(watchtower.modpath .. "99-setup.lua")

local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", "[MOD] watchtower loaded in [" .. mod_end_time .. "s]")
